<?xml version="1.0"?>

<PropertyList>
    <name>instrument-lighting-dialog</name>
    <layout>vbox</layout>
    
    <!-- titlebar -->
    <group>
        <layout>hbox</layout>
        <empty><stretch>1</stretch></empty>

        <text>
            <label>Instrument lighting</label>
        </text>

        <empty><stretch>1</stretch></empty>

        <button>
            <pref-width>16</pref-width>
            <pref-height>16</pref-height>
            <legend></legend>
            <keynum>27</keynum>
            <border>2</border>
            <binding>
                <command>dialog-close</command>
            </binding>
        </button>
    </group>

    <hrule/>
    
    <group>
        <layout>table</layout>
        <text>
			<label>            </label>
            <row>0</row>
            <col>0</col>
            <format>Value: %.1f</format>
            <property>/controls/lighting/panel-norm</property>
            <mapping>percent</mapping>
            <live>1</live>
        </text>
        <button>
            <row>1</row>
            <col>0</col>
            <legend>Increment</legend>
            <binding>
                <command>property-adjust</command>
                <property>/controls/lighting/instruments-norm</property>
                <step>0.1</step>
                <max>1</max>
            </binding>
            <binding>
                <command>property-adjust</command>
                <property>/controls/lighting/panel-norm</property>
                <step>0.1</step>
                <max>1</max>
            </binding>
        </button>
        <button>
            <row>2</row>
            <col>0</col>
            <legend>Decrement</legend>
            <binding>
                <command>property-adjust</command>
                <property>/controls/lighting/instruments-norm</property>
                <step>-0.1</step>
                <min>0</min>
            </binding>
            <binding>
                <command>property-adjust</command>
                <property>/controls/lighting/panel-norm</property>
                <step>-0.1</step>
                <min>0</min>
            </binding>
        </button>
        
    </group>
    
</PropertyList>
